<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">


<th:block th:replace="~{layout/basic :: setContent(~{this::content} )}">
	<th:block th:fragment="content">
		<style>
p {
	padding-left: 10px;
	font-size: 1.2em;
	margin-top: 0.7em;
	margin-bottom: 0.7em;
}
</style>
		<script src="https://code.jquery.com/jquery-3.4.1.js"></script>
		<header>
			<h2>로그인</h2>
		</header>
		<section class="box text-style1" style="width: 500px">
			<div class="inner">
				<form th:action="@{/login}" th:method="POST">
				<div class="alert alert-danger" th:if="${param.error != null}">
							<p>ID 또는 비밀번호를 확인해주세요.</p>
					</div>
					<p>
						<label for="id">아이디</label>
					</p>
					<p>
						<input type="text" id="id" name="id" required>
					</p>
					<p>
						<label for="password">비밀번호</label>
					</p>
					<p>
						<input type="password" id="password" name="password" required>
					</p>
					<p>
						<button type="submit">로그인</button>
					</p>
				</form>
			</div>
		</section>
		<script th:inline="javascript">
		$(document).ready(function() {
			var msg = [[${msg}]]
			if (msg != null) {
				alert(msg);
			}
		});
	</script>
	</th:block>
</th:block>